#include <oxstd.h>
#include <oxdraw.h>
#include <arma.h>
#include <oxfloat.h>


main()
{
//--------------       Figure 1      -------------------------------------------
    decl mX1, mX2, mX3, mX4, mX5, mX6, mX7, mX8, mX9;
	decl asY, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, iBoxIndex ;
	decl iArea, iArea1, dX1,  dY1, sText, sText1, sText2, iFontNo, iFontSize, iTitle, iRotation ;
	SetDrawWindow("FIGURE 1");
    //   Create the data
    mX1 = loadmat("Transitions.xls")[][0];
	mX2 = loadmat("Transitions.xls")[][1]; 
	mX3 = loadmat("Transitions.xls")[][2]; 
	mX4 = loadmat("Transitions.xls")[][3];
	mX5 = loadmat("Transitions.xls")[][4]; 
	mX6 = loadmat("Transitions.xls")[][5]; 
	mX7 = loadmat("Transitions.xls")[][6];
	mX8 = loadmat("Transitions.xls")[][7];
	mX9 = loadmat("Transitions.xls")[][8];

//   Draw the chart with the mY data
    DrawTMatrix(0,mX1'|mX2'|mX3'|mX4'|mX5'|mX7'|mX8'|mX9',
	{"$\gamma_1$ = 0, $\gamma_2$ = 0", "$\gamma_1$ = .25, $\gamma_2$ = .25",
	"$\gamma_1$ = -1, $\gamma_2$ = -1", "$\gamma_1$ = -0.25, $\gamma_2$ = 1",
	"$\gamma_1$ = 0.5, $\gamma_2$ = -2", 
	"$\gamma_1$ = .25, $\gamma_2$ = 1", "$\gamma_1$ = 0.5, $\gamma_2$ = 2",
	"$\gamma_1$ = 2, $\gamma_2$ = 4"},-6,6,10, 2, 1);
//	DrawTMatrix(1,mX2', "$\gamma_1$ = .25, $\gamma_2$ = .25", -6,6,10, 1, 1);
//	DrawTMatrix(2,mX3', "$\gamma_1$ = -1, $\gamma_2$ = -1", -6,6,10, 1, 1);
//	DrawTMatrix(3,mX4', "$\gamma_1$ = -0.25, $\gamma_2$ = 1", -6,6,10, 1, 1);
//	DrawTMatrix(4,mX5', "$\gamma_1$ = 0.5, $\gamma_2$ = -2", -6,6,10, 1, 1);
//    DrawTMatrix(5,mX6', "$\gamma_1$ = -2, $\gamma_2$ = 4", -6,6,10, 1, 1);
//    DrawTMatrix(6,mX7', "$\gamma_1$ = .25, $\gamma_2$ = 1", -6,6,10, 1, 1);
//    DrawTMatrix(7,mX8', "$\gamma_1$ = 0.5, $\gamma_2$ = 2", -6,6,10, 1, 1);
//    DrawTMatrix(8,mX9', "$\gamma_1$ = 2, $\gamma_2$ = 4", -6,6,10, 1, 1);

//    DrawTMatrix(1,mY', "", 1947,1,12, 1, 1);

 //   Settings for Title and Axes definition to be added in the chart
     iArea= 0; sText= "THE PROPOSED TRANSITION FUNCTION"; sText1= "G ($\gamma_1$, $\gamma_2$; $\eta_t$)"; sText2= "$\eta_t$";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	  DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);
    ShowDrawWindow();
//--------------       Figure 2      -------------------------------------------
     SetDrawWindow("FIGURE 2");
	 decl mY1, mY2, mY3, mY4, mY5, mY6;
	 decl mZ1, mZ2, mZ3, mZ4, mZ5, mZ6, mZ7, mZ8, mZ9, mZ10, mZ11, mZ12, mZ13;
	 
     mY1 = loadmat("Transitions.xls")[][9];	 mZ1 = loadmat("Transitions.xls")[][15];
     mY2 = loadmat("Transitions.xls")[][10]; mZ2 = loadmat("Transitions.xls")[][16];
     mY3 = loadmat("Transitions.xls")[][11]; mZ3 = loadmat("Transitions.xls")[][17];
	 mY4 = loadmat("Transitions.xls")[][12]; mZ4 = loadmat("Transitions.xls")[][18];
     mY5 = loadmat("Transitions.xls")[][13]; mZ5 = loadmat("Transitions.xls")[][19];
	 mY6 = loadmat("Transitions.xls")[][14]; mZ6 = loadmat("Transitions.xls")[][20];
	                                         mZ7 = loadmat("Transitions.xls")[][21];
											 mZ8 = loadmat("Transitions.xls")[][22];
											 mZ9 = loadmat("Transitions.xls")[][23];
											 mZ10 = loadmat("Transitions.xls")[][24];
											 mZ11 = loadmat("Transitions.xls")[][25];
											 mZ12 = loadmat("Transitions.xls")[][26];
											 mZ13 = loadmat("Transitions.xls")[][27];

		  //   Draw the chart with the mY data
    DrawTMatrix(0,mY1'|mY2'|mY3'|mY4'|mY5'|mY6',
	{"$\gamma_1$ = 4, $\gamma_2$ = .25, \Theta = .25",
	"$\gamma_1$ = 1, $\gamma_2$ = 2, \Theta = .25",
	"$\gamma_1$ = .25, $\gamma_2$ = 2, \Theta = 2",
	"$\gamma_1$ = .25, $\gamma_2$ = 4, \Theta = 1",
	"$\gamma_1$ = .25, $\gamma_2$ = 4, \Theta = .25",
	"$\gamma_1$ = .25, $\gamma_2$ = 4, \Theta = 4"},-6,6,10, 2, 1);
	iArea= 0; sText= "The SLN (2002) transition function"; sText1= "G ($\gamma_1$, $\gamma_2$, \Theta; $\eta_t$)"; sText2= "$\eta_t$";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	  DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);

	  DrawTMatrix(1,mZ1'|mZ2'|mZ3'|mZ4'|mZ5'|mZ6'|mZ7'|mZ8'|mZ9'|mZ10'|mZ11'|mZ12'|mZ13',
	{"\Theta= 1, \gamma=1","\Theta= .1, \gamma=1","\Theta= .01, \gamma=1", "\Theta= 20, \gamma=1",
	"\Theta= .5, \gamma= .25", "\Theta= .5, \gamma= .5", "\Theta= .5, \gamma= 1", "\Theta= .5, \gamma= 2",
	"\Theta= 2 \gamma= .25", "\Theta=100, \gamma= 1", "\Theta=2, \gamma= .5", "\Theta=2, \gamma= 1",
	"\Theta=2, \gamma= 2"},-6,6,10, 2, 1);
	iArea= 1; sText= "The SLN--LT (2006) transition function"; sText1= "G ($\gamma$, \Theta; $\eta_t$)"; sText2= "$\eta_t$";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	  DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);

	  
    ShowDrawWindow();
}
