function [S2, pval_S2] = stest_ts(X, lambda, Ggamma1, Ggamma2, u, T)
% Compute the statistic S1 and its p-value for applications

sigmahat=sum(u.^2);
bar_w = X;    % Use the notation of the paper!
thetawGgamma1 = bar_w*lambda.*Ggamma1;
thetawGgamma2 = bar_w*lambda.*Ggamma2;
Z = [bar_w*lambda]; p=size(X,2);
H = [thetawGgamma1, thetawGgamma2]; n=size(H,2);
S2 = 1/(sigmahat)*((u'*Z)*(inv(Z'*Z - Z'*H*inv(H'*H)*H'*Z))*(Z'*u));
%Compute the p-value according to the so found statistic:
pval_S2 = 1-cdf('chi2', S2 , n);  
end